Description

The usc extension is used for two different things:

  - macro file, and designer module.

Is it possible to reserve a separate extension for the module usc file?

for example : msc or d(esigner)sc or l(ayout)sc

History

#1 - 05/17/2017 11:18 PM - Zbigniew Rebacz

No, for me the extension is perfectly fine. First of all .usc extension is designed to handle Esc file scripting language. It is designed only for that purpose.

The macro and designer extensions are only the usage of that language. Moreover we can easily detect that given .usc file is designed to be macro rather

than designer. We do this in MacroManager.

I highly recommended to reject this issue, but I will wait for Mireks opinion on this topic.

#2 - 05/22/2017 12:40 PM - Abdelghani Omari

the "fn" keyword is common between "macro file" and "layout usc file"

when a "layout usc fie" starts with one or more "fn", MacroManager laod this "fn", and it stop at the first unknown keyword.

the file then can be expoted/edited in MacroManager.

i think a new extenstion is the safe solution, especially if the "layout usc file" used only by theide.

If the idea is accepted, I can create the patch.

#3 - 06/17/2017 10:03 PM - Zbigniew Rebacz

- Status changed from New to Rejected

I think it will not happen, because of backward compatibility - please read my first commend. Mirek if you want to add something to the discussion - feel

free to do this. The issue is rejected for now - we wait one month without any opinion ;)
